by default, git-annex will set repo version to v5  
--even if I clone a v6 repo  
--or sync from a v6 repo  
----(if I sync and there is a git remote in the network which hasn't been git annex initialized yet, it become a v5 repo in its config file)  

so I must always upgrade after creating a new repo, or else specify v6 in the creation command.

Given the potential negative effects of mixed version networks, it is probably best to follow the version of the repo cloned, unless the version is specified in the command.
